### Function

# Gtk PrintSettingsFunc

#### Declaration

    void
    (* GtkPrintSettingsFunc) (
      const char* key,
      const char* value,
      gpointer user_data
    )

#### Description [src]

Function called by `gtk_print_settings_foreach()` on every key/value pair inside a `GtkPrintSettings`.

#### Parameters

`key`

  Type: `const char*`

  The setting key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The setting value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  The user data provided with the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.